@import url("https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&family=Noto+Color+Emoji&display=swap");

* {
    font-family: "Jetbrains Mono", "Noto Color Emoji", ui-monospace, monospace;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body {
    height: 100vh;
    display: flex;
    background-color: rgb(27 27 27/1);
    color: white;
    justify-content: center;
    -ms-overflow-style: none; /* Internet Explorer 10+ */
    scrollbar-width: none; /* Firefox */
    overflow: hidden;
}

body::-webkit-scrollbar {
    display: none; /* Safari and Chrome */
}

.myContent {
    display: flex;
}

.leftSide {
    width: 75vw;
    height: 100vh;
    color: rgb(27 27 27/1);
    background-color: #f6f6f6;
    display: flex;
    align-items: center;
}

.myImage {
    width: 100%;
}

.rightSide {
    padding: 0px 48px;
    width: 25vw;
}

#customScroll {
    overflow: scroll;
    -ms-overflow-style: none; /* Internet Explorer 10+ */
    scrollbar-width: none; /* Firefox */
}

#customScroll::-webkit-scrollbar {
    display: none; /* Safari and Chrome */
}

.sorryItem > h1 {
    font-size: 2rem;
    font-weight: 500;
    margin: 0;
    padding: 0;
    text-align: left;
    width: 100%;
}

.sorryItem > h2 {
    font-size: 1rem;
    font-weight: 400;
    margin: 0;
    padding: 0;
    text-align: right;
    width: 100%;
}

.sorrySection {
    min-height: 100vh;
    margin-left: 10%;
    margin-right: 10%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.sorryEnding {
    height: 100px;
    font-size: 1rem;
    margin-bottom: 48px;
}

.sorryMessage {
    font-size: 1.2rem;
    font-weight: 400;
    margin: 0;
    padding: 0;
    width: 100%;
}

.reveal {
    position: relative;
    transform: translateY(150px);
    opacity: 0;
    transition: all 2s ease;
}

.reveal.active {
    transform: translateY(0px);
    opacity: 1;
}

.revealAlways {
    position: relative;
    opacity: 1;
}

/* MODAL */

.modal {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 0.4rem;
    width: 450px;
    padding: 1.3rem;
    min-height: auto;
    position: absolute;
    z-index: 2;
    top: 20%;
    background-color: white;
    border: 1px solid #ddd;
    border-radius: 15px;
}

.modal .flex {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.modal p {
    font-size: 1rem;
    color: #212121;
    margin: 0.4rem 0 0.2rem;
}

button {
    cursor: pointer;
    border: none;
    font-weight: 600;
}

.btn {
    margin: 10px 5px;
    display: inline-block;
    padding: 0.8rem 1.4rem;
    font-weight: 700;
    background-color: black;
    color: white;
    border-radius: 5px;
    text-align: center;
    font-size: 1em;
    border: 1px solid white;
}

.alternate {
    background-color: white;
    color: black;
    border: 1px solid black;
}

.overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(30px);
    z-index: 1;
}

.hidden {
    display: none;
}

@media screen and (max-width: 999px) {
    .modal {
        width: auto;
        margin: 10px;
    }
    .modal p {
        font-size: 0.8rem;
    }
    .myContent {
        flex-direction: column;
        align-items: center;
    }
    .leftSide {
        width: 100vw;
        height: 50vh;
    }
    .rightSide {
        width: 100vw;
    }
    .sorryItem > h1 {
        text-align: center;
    }
    .btn {
        width: 100%;
        text-align: center;
        font-size: 0.8em;
    }
    .sorryMessage {
        font-size: 1rem;
        text-align: center;
    }
    .Happpiii {
        font-size: 18px;
        margin-top: 15px;
    }
    #maafKiya {
        margin-bottom: 100px;
    }
}
